<div class="p-grid">
	<div class="p-md-2"></div>
	<div class="p-col-12 p-md-8">
		<div class="p-col-12">
			<h3>Listado de productos</h3>
		</div>
		<div class="p-col-12">
			<ng-container *ngIf="!cargando && productos?.length">
				<mat-accordion>
					<mat-expansion-panel
						*ngFor="let productoItem of productos; let i=index"
						[expanded]="productoAbierto === i"
						(opened)="setProductoAbierto(i)">
						<mat-expansion-panel-header>
							<mat-panel-title>
								{{ productoItem.producto.productoNombre }}
							</mat-panel-title>
							<mat-panel-description>
								{{ productoItem.producto.productoDescripcion }}
							</mat-panel-description>
						</mat-expansion-panel-header>

						<app-producto-editor
							[producto]="productoItem.producto"
							(validoChange)="cambiarValido($event, productoItem)">
						</app-producto-editor>
						<mat-action-row>
							<button
								mat-button
								color="warn"
								[class.spinner]="eliminando[i]" [disabled]="eliminando[i]"
								(click)="eliminarProducto(productoItem.producto, i)">
								Eliminar
							</button>
							<button
								mat-button
								color="primary"
								[class.spinner]="guardando[i]" [disabled]="guardando[i]"
								(click)="guardarProducto(productoItem, i)">
								Guardar
							</button>
						</mat-action-row>
					</mat-expansion-panel>
				</mat-accordion>
			</ng-container>
			<ng-container *ngIf="cargando">
				Cargando productos...
			</ng-container>
			<ng-container *ngIf="!cargando && productos.length === 0">
				No se encontraron productos que mostrar
			</ng-container>
		</div>
		<div *ngIf="!cargando" class="p-col-12 text-right">
			<button mat-raised-button color="primary" (click)="agregarProducto()">Crear un producto</button>
		</div>
	</div>
	<div class="p-md-2"></div>
</div>
